detekt-api
1.21.0-RC2

# Detektion

interface Detektion
Content copied to clipboard

Storage for all kinds of findings and additional information which needs to be transferred from the detekt engine to the user.

## Functions

add
Link copied to clipboard
abstract fun add (notification: Notification )
Content copied to clipboard

Stores a notification in the result.

abstract fun add (projectMetric: ProjectMetric )
Content copied to clipboard

Stores a metric calculated for the whole project in the result.

addData
Link copied to clipboard
abstract fun < V > addData (key: Key< V >, value: V )
Content copied to clipboard

Stores an arbitrary value inside the result bound to the given key.

getData
Link copied to clipboard
abstract fun < V > getData (key: Key< V >): V ?
Content copied to clipboard

Retrieves a value stored by the given key of the result.

## Properties

findings
Link copied to clipboard
abstract val findings : Map < RuleSetId , List < Finding >>
Content copied to clipboard
metrics
Link copied to clipboard
abstract val metrics : Collection < ProjectMetric >
Content copied to clipboard
notifications
Link copied to clipboard
abstract val notifications : Collection < Notification >
Content copied to clipboard